<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.energy.manage.service.mappers.units.UnitDictBrandModelMapper">


    <select id="selectUnitManufactureByUnitType" resultType="java.lang.String">
        select manufacture from unit_dict_brand_model where unit_type = #{unitType}  group by manufacture
    </select>

    <select id="selectUnitModelNumberByManufacture" resultType="java.lang.String">

         select
            model_number as modelNumber
         from
            unit_dict_brand_model
         where
            unit_type = #{unitType}
         and
            manufacture = #{manufacture}
         group by model_number

    </select>






</mapper>
